model perceuse
  Modelica.Mechanics.Rotational.Components.Inertia inertia1(J = 2e-4, phi(displayUnit = "rad")) annotation(Placement(visible = true, transformation(origin = {-16, 38}, extent = {{-10, -10}, {10, 10}}, rotation = 0)));
  Modelica.Mechanics.Rotational.Sources.Torque torque1 annotation(Placement(visible = true, transformation(origin = {-44, 38}, extent = {{-10, -10}, {10, 10}}, rotation = 0)));
  Modelica.Blocks.Sources.RealExpression coupleMoteur(y = 0.1) annotation(Placement(visible = true, transformation(origin = {-82, 38}, extent = {{-10, -10}, {10, 10}}, rotation = 0)));
  Modelica.Mechanics.Rotational.Sources.Torque torque3 annotation(Placement(visible = true, transformation(origin = {20, -6}, extent = {{10, -10}, {-10, 10}}, rotation = 0)));
  Modelica.Mechanics.Rotational.Sources.Torque torque4 annotation(Placement(visible = true, transformation(origin = {-42, -6}, extent = {{-10, -10}, {10, 10}}, rotation = 0)));
  Modelica.Mechanics.Rotational.Components.Inertia inertia2(J = 2e-4, phi(displayUnit = "rad")) annotation(Placement(visible = true, transformation(origin = {-10, -6}, extent = {{-10, -10}, {10, 10}}, rotation = 0)));
  Modelica.Blocks.Sources.RealExpression coupleResistant200(y = 0) annotation(Placement(visible = true, transformation(origin = {60, -6}, extent = {{10, -10}, {-10, 10}}, rotation = 0)));
  Modelica.Mechanics.Rotational.Sources.ConstantTorque constantTorque1(tau_constant = -0.01)  annotation(Placement(visible = true, transformation(origin = {30, 70}, extent = {{10, -10}, {-10, 10}}, rotation = 0)));
  Modelica.Mechanics.Rotational.Sources.LinearSpeedDependentTorque linearSpeedDependentTorque1(tau_nominal = -0.1, w_nominal = 314)  annotation(Placement(visible = true, transformation(origin = {34, 38}, extent = {{10, -10}, {-10, 10}}, rotation = 0)));
equation
  connect(inertia1.flange_b, linearSpeedDependentTorque1.flange) annotation(Line(points = {{-6, 38}, {24, 38}, {24, 38}, {24, 38}}));
  connect(constantTorque1.flange, inertia1.flange_b) annotation(Line(points = {{20, 70}, {10, 70}, {10, 38}, {-6, 38}, {-6, 38}}));
  connect(torque1.flange, inertia1.flange_a) annotation(Line(points = {{-34, 38}, {-26, 38}}));
  connect(coupleMoteur.y, torque1.tau) annotation(Line(points = {{-70, 38}, {-56, 38}}, color = {0, 0, 127}));
  connect(coupleMoteur.y, torque4.tau) annotation(Line(points = {{-70, 38}, {-66, 38}, {-66, -6}, {-54, -6}, {-54, -6}}, color = {0, 0, 127}));
  connect(torque4.flange, inertia2.flange_a) annotation(Line(points = {{-32, -6}, {-20, -6}, {-20, -6}, {-20, -6}}));
  connect(inertia2.flange_b, torque3.flange) annotation(Line(points = {{0, -6}, {10, -6}, {10, -6}, {10, -6}}));
  connect(torque3.tau, coupleResistant200.y) annotation(Line(points = {{32, -6}, {50, -6}, {50, -6}, {50, -6}}, color = {0, 0, 127}));
  annotation(uses(Modelica(version = "3.2.2")));
end perceuse;